#!/bin/sh

# set this to the name of the SAM-BA device
export DEV=/dev/cu.usbmodem1411

# set this to the path to the usamba executable
export USAMBA=$HOME/bin/usamba

# Write the firmware
$USAMBA $DEV write Orthrus-release.bin 0
# Boot from flash, not ROM
$USAMBA $DEV gpnvm set 1
# Set up TCM
$USAMBA $DEV gpnvm set 8
$USAMBA $DEV gpnvm clear 7
# Set the security bit
export GPNVM0_CONFIRM=1
$USAMBA $DEV gpnvm set 0

echo Disconnect and reconnect the USB cable now.
